petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoLineSearchGetOptionsPrefix

Gets the prefix used for searching for all TaoLineSearch options in the database

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetOptionsPrefix(TaoLineSearch ls, const char *p[])

Not Collective

### Input Parameters

ls -the TaoLineSearch context

### Output Parameters

prefix -pointer to the prefix string used is returned

### Notes

On the fortran side, the user should pass in a string 'prefix' of sufficient length to hold the prefix.

### See Also

TaoLineSearchSetOptionsPrefix(), TaoLineSearchAppendOptionsPrefix()

### Level

advanced

### Location

src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages